Bug 6303 - Problems with 3Com 100 base T card
Problems with 3Com 100 base T card
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Michael K. Johnson
Depends On:
  Show dependency treegraph
Reported: 1999-10-24 09:25 EDT by hetz
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-06-13 17:05:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description hetz 1999-10-24 09:25:17 EDT

I justall installed RH 6.1 on a PII-233 machine with 3com
10/100BaseT card (known on Linux as 3Com 3c905 100bTX) and
it uses IRQ 11.

When the installation finished and I reboot, it goes up to
"bringing up eth0" and it stuck there forever.

Going into Single mode and configuring the card for either
DHCP or a self IP gives segmentation fault - but the card
gets the IP and I can ping out.

Any help here? I will try the latest boot disks now...
Comment 1 Gene Czarcinski 1999-10-24 21:18:59 EDT
Mmmm .. I am running (now) on a PII with qa 3C905B ... installed and
working fine ... there has to be some other factor.  Granted, the
install selects a 3c59x.  Granted, install uses the 3c59x driver
rather than the 3c90x driver I got with the "latest" kernel off
rawhide.  Nevertheless, it seems to work fine or you would not be
getting this.

Comment 2 Gene Czarcinski 1999-11-03 12:22:59 EST
I have additional info/problems.  This may or may not be the same
problem described above.

I have a PII 350MHz system with two 3c905B cards installed.  One of
the interfaces (eth0) has a static IP.  The other is attached to a
cable modem and I am using "pump" to initialize.

Although the 6.1 system as installed by the installer specified 3c59x
in /etc/conf.modules, I changed this to pick up the new "official"
3com driver: 3c90x and then rebooted the system.

eth0 (static ip) came up fine but eth1 which is initialized by pump
(manually) did not.  Pump reported that the connection was established
but no default route was established and tcpdump refused the interface
indicating that eth1 was not "up".  Changing back to using the 3c59x
drivers eliminated the problem.

DO you need additional info?

Comment 3 Cristian Gafton 2000-01-04 17:25:59 EST
Assigned to dledford
Comment 4 Cristian Gafton 2000-01-04 17:27:59 EST
Assigned to dledford
Comment 5 johnb 2000-01-13 18:46:59 EST
I have the same problem as hetz@cobol2java.com.  I installed from the CD RH 6.1
on a PII 333 with a 3com 3c9X card, using DHCP on a DSL connection.
During boot up the system hangs forever on "bringing up eth0".

Any help??

Comment 6 suminvent 2000-01-26 02:18:59 EST

I also have problems with this card, used in a Celeron 333 MHz PC. The card is
found and installed, but I cannot access my network. Pinging the loopback works
fine, but pinging another machine on the network fails. Another linux machine
running RH 5.2 works fine. All machines have static IP's.

Comment 7 jonj 2000-06-13 17:05:56 EDT
I have had a related problem.
I am running RH6.1, with an amdk62-500, with an intel pro/100 nic.  When 
initially setting up this machine, during boot, it would hang on 'Configuring 
Device eth0', possibly due to being set for DHCP, when no DHCP server was 
available.  When running netconf, it would segfault.  The problem was resolved 
by manually editing the conf eth0.  It appears that the netconf tool and the 
linuxconf module for networking don't play well together..
Comment 8 Ben LaHaise 2002-06-03 17:53:15 EDT
2.4 has a much improved and updated 3c59x driver that has fixed many problems,
probably including this one.  Also, pump has been replaced by a different dhcp
client that tests the status of the ethernet link, which should improve this
case.  Please reopen this bug if the problem still exists in Red Hat Linux 7.3.

Note You need to log in before you can comment on or make changes to this bug.